Bug 773728 (CVE-2012-0042)

Summary: CVE-2012-0042 wireshark: NULL pointer vulnerabilities (wnpa-sec-2012-02)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: alekcejk, huzaifas, jsafrane, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120110,reported=20120111,source=gentoo,cvss2=2.9/AV:A/AC:M/Au:N/C:N/I:N/A:P,fedora-all/wireshark=affected,rhel-6/wireshark=affected,rhel-5/wireshark=affected,rhel-4/wireshark=wontfix
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-08 04:12:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 781268, 809045, 809046, 834180    
Bug Blocks: 773730, 807617, 816611    

Description Vincent Danen 2012-01-12 12:49:08 EST
Wireshark was improperly handling NULL pointers when displaying packet information which could lead to a crash.  It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.  This is corrected in upstream 1.4.11 and 1.6.5.

http://www.wireshark.org/security/wnpa-sec-2012-02.html
Comment 1 Huzaifa S. Sidhpurwala 2012-01-13 01:20:12 EST
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 781268]
Comment 2 Huzaifa S. Sidhpurwala 2012-01-13 02:26:39 EST
The upstream patch for this issue does two things:

1. Check some functions in epan/to_str.c for NULL arguments and bail out if these are NULL. It also documents that some functions return non-null terminated strings

Reference: 
http://anonsvn.wireshark.org/viewvc?view=revision&amp;revision=40194

This code segment exists in all the version of wireshark shipped with Red Hat Enterprise Linux.

2. Changes to the HP Teaming heartbeat dissector to sanitize some of the parameters read from the network/scan file

Reference:
http://anonsvn.wireshark.org/viewvc?view=revision&amp;revision=40195
http://anonsvn.wireshark.org/viewvc?view=revision&amp;revision=40196

The HP team dissector does not exist in the versions of wireshark shipped with Red Hat Enterprise Linux 4, 5 and 6.

Though this issue is being trigged by values passed from the HP team dissector, there are other dissectors in wireshark, which use routines defined in to_str.c to process text. Since these routines dont check for NULL input values, they cause a crash. A part of the patch addresses this issue and sanitizes these input values
Comment 4 Fedora Update System 2012-01-22 17:52:45 EST
wireshark-1.6.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-01-24 15:01:12 EST
wireshark-1.4.11-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2012-04-23 12:52:50 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 9 errata-xmlrpc 2013-01-08 00:00:47 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0125 https://rhn.redhat.com/errata/RHSA-2013-0125.html
Comment 11 Huzaifa S. Sidhpurwala 2013-01-08 04:11:38 EST
Statement:

(none)